summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2024-03-08 00:51:31 +0100
committer Willy Sudiarto Raharjo2024-03-09 00:18:11 +0100
commit00b5aa5177f92cf62178f566b00b3d4e95d726f1 (patch)
tree3eb1e3ca23d0abe137a37ed60228957d28f34c62 /system
parent693783612a01061d67fb095dfee2a57f9c347d18 (diff)
downloadslackbuilds-00b5aa5177f92cf62178f566b00b3d4e95d726f1.tar.gz
system/iselect: Added (dialog system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/iselect/README10
-rw-r--r--system/iselect/iselect.SlackBuild103
-rw-r--r--system/iselect/iselect.info12
-rw-r--r--system/iselect/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/system/iselect/README b/system/iselect/README
new file mode 100644
index 0000000000..08c440c1f4
--- /dev/null
+++ b/system/iselect/README
@@ -0,0 +1,10 @@
+iselect (curses-based interactive selection tool)
+
+OSSP iselect is an interactive line selection tool for textual files,
+operating via a full-screen Curses-based terminal session. It can be
+used either as an user interface frontend controlled by a scripting
+backend as its wrapper or in batch mode as a pipeline filter (usually
+between grep and the final executing command).
+
+The package also includes screen-ir, a script to interactively
+reattach to one of several screen sessions.
diff --git a/system/iselect/iselect.SlackBuild b/system/iselect/iselect.SlackBuild
new file mode 100644
index 0000000000..088493b12d
--- /dev/null
+++ b/system/iselect/iselect.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for iselect
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=iselect
+VERSION=${VERSION:-1.4.0_4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+TARVER=${VERSION/_*}
+DEBVER=${VERSION/*_}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$TARVER.orig.tar.gz
+cd $PRGNAM-$TARVER
+tar xvf $CWD/${PRGNAM}_$TARVER-$DEBVER.debian.tar.xz
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+# Apply all Debian's patches except one.
+sed -i '/^dont-strip-binary/d' debian/patches/series
+for i in $( cat debian/patches/series ); do
+ patch -p1 < debian/patches/$i
+done
+
+# Man pages need the version number, not "EN"
+sed -i 's,"EN",'$PRGNAM-$VERSION, $PRGNAM.1 debian/screen-ir.1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make CFLAGS="$SLKCFLAGS -fcommon"
+# warning: DESTDIR not supported here!
+make install prefix=$PKG/usr
+gzip -9 $PKG/usr/man/man*/*
+
+# Debian includes this handy script.
+install -m0755 debian/screen-ir $PKG/usr/bin
+gzip -9c < debian/screen-ir.1 > $PKG/usr/man/man1/screen-ir.1.gz
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING ChangeLog README VERSIONS example $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/iselect/iselect.info b/system/iselect/iselect.info
new file mode 100644
index 0000000000..2adff8c56a
--- /dev/null
+++ b/system/iselect/iselect.info
@@ -0,0 +1,12 @@
+PRGNAM="iselect"
+VERSION="1.4.0_4"
+HOMEPAGE="http://www.ossp.org/pkg/tool/iselect/"
+DOWNLOAD="http://deb.debian.org/debian/pool/main/i/iselect/iselect_1.4.0.orig.tar.gz \
+ http://deb.debian.org/debian/pool/main/i/iselect/iselect_1.4.0-4.debian.tar.xz"
+MD5SUM="d278a61fe2557f9ce8270328b5f7b3b6 \
+ 0376f9db5df9494cda833dd725584549"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/system/iselect/slack-desc b/system/iselect/slack-desc
new file mode 100644
index 0000000000..ddfa8d6517
--- /dev/null
+++ b/system/iselect/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+iselect: iselect (curses-based interactive selection tool)
+iselect:
+iselect: OSSP iselect is an interactive line selection tool for textual files,
+iselect: operating via a full-screen Curses-based terminal session. It can be
+iselect: used either as an user interface frontend controlled by a scripting
+iselect: backend as its wrapper or in batch mode as a pipeline filter (usually
+iselect: between grep and the final executing command).
+iselect:
+iselect: The package also includes screen-ir, a script to interactively
+iselect: reattach to one of several screen sessions.
+iselect: